accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Josh Elser (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-1419) Make hadoop2 the default
Date Mon, 21 Oct 2013 17:26:42 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-1419?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13800837#comment-13800837
] 

Josh Elser commented on ACCUMULO-1419:
--------------------------------------

bq. I'm concerned about making that jump after what happened with 0.21

So, worst case, if something like that would happen again (which I think is unlikely given
the amount of effort that has gone in 2.0 and 2.1 releases), we cut a 1.6.x that changes the
default dependency back again. No?

I'm of the mindset that if the community is confidently advertising a newer version as stable,
we should also try to follow such guidance unless we have real problems in doing so. 

> Make hadoop2 the default
> ------------------------
>
>                 Key: ACCUMULO-1419
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-1419
>             Project: Accumulo
>          Issue Type: New Feature
>            Reporter: Christopher Tubbs
>              Labels: feature, proposal
>             Fix For: 1.6.0
>
>         Attachments: ACCUMULO-1419.1.patch
>
>
> This is a proposed feature for 1.6.
> There's two ways we could do this:
>  # Continue to support both hadoop1 and hadoop2, but switch the profiles, so hadoop2
is the default, and this is what we use to build binary artifacts for release voting.
>  # Make hadoop2 required and get rid of the dependency profiles.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message